<?php 

$recurso = fopen('log.txt','w+'); //creación del archivo de texto si no existe.
if ($recurso) {
   fputs($recurso,'fecha y hora actuales:');  
   fputs($recurso, date('d.m.Y G:i:s').PHP_EOL); 
}
fclose($recurso);

if ( is_dir("/Program Files/EasyPHP5.3.0/www/archivo")) { //prueba si el directorio no existe
    mkdir('archivo');  //creación del directorio archivo
}
$inicio_tiempo = (float)microtime();
if ($puntero = opendir('./images')) { //apertura del directorio image (C:\Program Files\EasyPHP5.3.0\www\image)
   while ($archivo = readdir($puntero)) { //mientras haya un archivo en el directorio
	  if ($archivo = "." && $archivo = "..") {
        copy("./images/".$archivo,"./archivo/".$archivo); //copia la imagen en el directorio archivo
		unlink("./images/".$archivo); //borrado de la imagen en el directorio images
	  }
   }
   closedir($puntero);
} 
$fin_tiempo = (float)microtime();
$duracion_tiempo = $fin_tiempo - $inicio_tiempo; //cálculo del duración del desplazamiento de las images en microsegudoss
echo "La duración para mover estas images es: ".$duracion_tiempo." microsegudoss.";


?>
